curl --request PATCH \
--url https://api.syntage.com/shareholders/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "JUAN MANUEL PEREZ GONZALEZ",
"rfc": "PEIC211118IS0"
}
'import requests
url = "https://api.syntage.com/shareholders/{id}"
payload = {
"name": "JUAN MANUEL PEREZ GONZALEZ",
"rfc": "PEIC211118IS0"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'JUAN MANUEL PEREZ GONZALEZ', rfc: 'PEIC211118IS0'})
};
fetch('https://api.syntage.com/shareholders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "JUAN MANUEL PEREZ GONZALEZ",
"type": "physical",
"rfc": "PEIC211118IS0",
"relations": [
{
"id": "82cd9012-3456-7890-abcd-ef1234567890",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"shareholder": "<unknown>",
"relationType": "shareholders",
"sources": [
{
"id": "73de0123-4567-8901-bcde-f23456789012",
"relation": "<unknown>",
"shareholder": "<unknown>",
"sourceName": "manual",
"sourceId": "64ef1234-5678-9012-cdef-345678901234",
"shares": 1500.5,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890/sources/73de0123-4567-8901-bcde-f23456789012",
"@type": "ShareholderRelationsSource"
}
],
"shares": 1500.5,
"totalShares": 10000,
"ownership": 0.15,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890",
"@type": "ShareholderRelation"
}
],
"entity": "/entities/91ab5678-1234-5678-9abc-def012345678",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678",
"@type": "Shareholder"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Update a shareholder
Updates manually editable shareholder details such as the shareholder’s name or RFC.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Body
Response
Shareholder updated successfully
Unique shareholder ID
"91ab5678-1234-5678-9abc-def012345678"
Name of the person or company that owns shares
"JUAN MANUEL PEREZ GONZALEZ"
Shareholder type, where physical is a person, legal is a company, and unknown means the type cannot be determined
physical, legal, unknown "physical"
Shareholder RFC, when available
12 - 13"PEIC211118IS0"
Relations that connect this shareholder to entities
Show child attributes
Show child attributes
Entity created for this shareholder after promotion, if the shareholder has been promoted
"/entities/91ab5678-1234-5678-9abc-def012345678"
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Shareholder IRI reference
"/shareholders/91ab5678-1234-5678-9abc-def012345678"
Was this page helpful?